/*Para enviar datos al puerto paralelo se utiliza la instrucci¢n de C
outportb(direccion,dato), donde direcci¢n es la direcci¢n del puerto
(datos o de control) y dato es una variable con los ocho bits que se
desean enviar al puerto. El par metro direcci¢n debe coincidir con la
direcci¢n del puerto de estado.
El siguiente programa es un ejemplo de la instrucci¢n switch,
prendiendo los LEDS del mismo circuito anterior. */
#include <ConIO.h>
#include <IOStream.h>
																																 //LEDS2.cpp
int PuertoDatos = 0x378; //¢ 0x3bc

void delay(int Tiempo){
	for (long i = 0; i<Tiempo*30000; i++)
		;
}

void main(){
	int Dato;

	clrscr();
	cout << "Digite un N£mero del 0 al 7 y Encender el respectivo LED: ";
	cin >> Dato;

	switch(Dato){
		case 0: outportb(PuertoDatos, 0x01);
				break;
		case 1: outportb(PuertoDatos, 0x02);
				break;
		case 2: outportb(PuertoDatos, 0x04);
				break;
		case 3: outportb(PuertoDatos, 0x08);
				break;
		case 4: outportb(PuertoDatos, 0x10);
				break;
		case 5: outportb(PuertoDatos, 0x20);
				break;
		case 6: outportb(PuertoDatos, 0x40);
				break;
		case 7: outportb(PuertoDatos, 0x80);
				break;
		default:
			outportb(PuertoDatos, 0x00);
	}
}
